{{- if .Values.enabled -}}
{{- if .Values.tests.invalidPackets.enabled -}}
{{- range $key := .Values.tests.invalidPackets.udpgenInducedErrorsList }}
---
# ska_pst_udprecv
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ include "ska-pst-recv.fullname" $ }}-test-invalidpackets-{{ (lower $key) }}
  labels:
    bdd-test: invalidpackets-{{ (lower $key) }}
    bdd-test-component: recv-udprecv
    {{- include "ska-pst-recv.labels" $ | nindent 4 }}
spec:
  template:
    metadata:
      name: {{ include "ska-pst-recv.fullname" $ }}-test-invalidpackets-{{ (lower $key) }}
      labels:
        bdd-test: invalidpackets-{{ (lower $key) }}
        bdd-test-component: recv-udprecv
        {{- include "ska-pst-recv.labels" $ | nindent 8 }}
    spec:
      affinity:
        podAntiAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            - labelSelector:
                matchExpressions:
                  - key: "bdd-test"
                    operator: In
                    values:
                    - invalidpackets-{{ (lower $key) }}
              topologyKey: "kubernetes.io/hostname"
      {{- with $.Values.podAnnotations }}
      annotations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      hostNetwork: {{ $.Values.hostNetwork }}
      hostIPC: {{ $.Values.hostIPC }}
      {{- with $.Values.affinity }}
      affinity:
        {{- toYaml . | nindent 10 }}
      {{- end }}
      initContainers:
        - name: get-svc-ip
          securityContext:
            {{- toYaml $.Values.securityContext | nindent 12 }}
          image: "{{ $.Values.image.repository }}:{{ $.Values.image.tag | default $.Chart.AppVersion }}"
          command: ["bash"]
          args:
            - -c
            - echo "POD_IP=${POD_IP}"
          env:
            - name: POD_IP
              valueFrom:
                fieldRef:
                  fieldPath: status.podIP
        - name: set-svc-ip
          securityContext:
            {{- toYaml $.Values.securityContext | nindent 12 }}
          image: "{{ $.Values.image.repository }}:{{ $.Values.image.tag | default $.Chart.AppVersion }}"
          command: ["bash"]
          args:
            - -c
            - sed "s/127.0.0.1/${POD_IP}/" /tmp/configurations/config.txt > /tmp/emptydir/config.txt
          env:
            - name: POD_IP
              valueFrom:
                fieldRef:
                  fieldPath: status.podIP
          envFrom:
          {{- range $.Values.envFrom }}
          {{- if eq .type "configMapRef" }}
            - configMapRef:
                name: {{ .name }}
          {{- end }}
          {{- end }}
          volumeMounts:
            - mountPath: /tmp/configurations
              name: "ska-pst-recv-bdd-invalidpackets-configmap"
            - mountPath: /tmp/emptydir
              name: "ska-pst-recv-bdd-invalidpackets-emptydir"
      containers:
        - name: recv
          securityContext:
            {{- toYaml $.Values.securityContext | nindent 12 }}
          image: "{{ $.Values.image.repository }}:{{ $.Values.image.tag | default $.Chart.AppVersion }}"
          command: ["bash"]
          args:
            - "-c"
            - "ska_pst_recv_udprecv ${POD_IP} /tmp/emptydir/config.txt -v -p {{ $.Values.tests.invalidPackets.service.targetPort }} -e"
          tty: true
          env:
            - name: POD_IP
              valueFrom:
                fieldRef:
                  fieldPath: status.podIP
          volumeMounts:
            - mountPath: /tmp/configurations
              name: "ska-pst-recv-bdd-invalidpackets-configmap"
            - mountPath: /tmp/emptydir
              name: "ska-pst-recv-bdd-invalidpackets-emptydir"
          ports:
            - containerPort: {{ $.Values.tests.invalidPackets.service.targetPort }}
          {{- with $.Values.resources }}
          resources:
            {{- toYaml . | nindent 12 }}
          {{- end }}
      
      {{- with $.Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      restartPolicy: {{ $.Values.restartPolicy }}
      {{- with $.Values.tolerations }}
      tolerations:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      volumes:
        - name: "ska-pst-recv-bdd-invalidpackets-configmap"
          configMap:
            name: "ska-pst-recv-bdd-invalidpackets-configmap"
        - name: "ska-pst-recv-bdd-invalidpackets-emptydir"
          emptyDir: {}
{{- end }}
{{- end }}
{{- end }}